Page MenuHomePhabricator

Shut down mailing list wikino-bureaucrats
Closed, ResolvedPublic

Description

In 2009 we had this mailing list created for the bureaucrats of the Norwegian Bokmål Wikipedia. I'm not really sure why we felt the need for a separate mailing list from the admin mailing list, but in any case it has fulfilled its purpose. The last post was in 2011, before I posted to the list asking if we should shut it down last month, to which there were no objections (in fact all who replied seemed to have forgotten its existence). So I ask that it be archived, deleted, shut down, whatever the procedure is for this.

Event Timeline

jhsoby created this task.Jun 1 2017, 11:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2017, 11:30 PM
jhsoby added a subscriber: Dzahn.EditedJun 1 2017, 11:35 PM

Adding @Dzahn as subscriber since he seems to have dealt with a few of these issues in the past.

RobH added a subscriber: RobH.EditedJun 2 2017, 2:26 AM

Should the archives of this list remain in place, or be removed? Please note if the archives are private, but the list is disabled, adding new members will become unavailable and the archives will become more limited in access.

When we disable a list, we remove the list admins and moderators, since the list won't be delivering mail (other than mail sent to list admin).

I can take care of this, once we know about the archives.

Mentioned in SAL (#wikimedia-operations) [2017-06-09T19:49:32Z] <mutante> fermium: $ sudo /usr/local/sbin/disable_list wikino-bureaucrats (T166848)

Dzahn added a comment.Jun 9 2017, 7:54 PM

@jhsoby Hi, i had the same question Rob had above, keep or delete archives. But "keep" is the default and i saw that archives are currently not public anyways and there are just a handful of subscribers. So it won't really change much as to who can see them. I also saw you had a thread about closing the list and no activity since 2011 as you said. So i went with defaults and just ran our standard script for disabling a list for now.

https://wikitech.wikimedia.org/wiki/Mailman#Disable_or_re-enable_a_mailing_list

I did not run the "rmlist" command, but it's disabled for all purposes and i cleared the admin field, so you should never receive a mail from it again. (but it could still be re-enabled if ever desired).

[fermium:~] $ sudo /usr/local/sbin/disable_list wikino-bureaucrats
/var/lib/mailman/data/heldmsg-wikino-bureaucrats-8.pck
wikino-bureaucrats disabled. Archives should be available at current location, all mail should be moderated and the list should not be on the listinfo page.
Dzahn added a comment.Jun 9 2017, 7:56 PM

P.S. subscribers are not removed, so while you will not hear from the list again, the people who were subscribed as of today can still go to the web interface, set a password and login to see old archives.

Dzahn closed this task as Resolved.Jun 9 2017, 7:56 PM
Dzahn claimed this task.